# pstoedit RPM specification
# By Scott Pakin <pakin@uiuc.edu>

%define majversion 3
%define minversion 20
%define und_version %{majversion}_%{minversion}

Name:      pstoedit
Version:   %{majversion}.%{minversion}
Release:   1
Summary:   Convert PostScript and PDF files into various vector-graphic formats
Copyright: GPL
URL:       http://www.geocities.com/SiliconValley/Network/1958/pstoedit/
Group:     Applications/Multimedia
Requires:  ghostscript, plotutils >= 2.3
Prefix:    /usr
BuildRoot: /var/tmp/%{name}-%{version}
Source:    http://www.geocities.com/SiliconValley/Network/1958/pstoedit/pstoedit_%{und_version}.zip

%description
pstoedit converts PostScript and PDF files into a wide variety of editable
(and not-so-editable) formats: gnuplot, idraw, xfig, tgif, Tcl/Tk, HPGL,
PIC, LaTeX2e, MetaPost, Sketch, KIllustrator, PDF, GNU metafile, Java, DXF,
Real3D, RenderMan, LightWave, Adobe Illustrator, simplified PostScript, and
any format that Ghostscript or the GNU plotting utilities can output, such
as Tektronix, CGM, and various bitmap formats.

%prep
%setup -c -T -n pstoedit_%{version}
cd ..
unzip %{_sourcedir}/pstoedit_%{und_version}.zip
if [ $? -ne 0 ]; then
  exit $?
fi
cd pstoedit_%{version}
chmod -R a+rX,g-w,o-w .
cd src

%build
cd config
./configure --libdir='${prefix}/share/pstoedit'
cd ../src
cat Makefile | sed 's/-g -O2/${RPM_OPT_FLAGS}/g' > Makefile.tmp
mv Makefile.tmp Makefile
make

%install
cd src
make prefix="$RPM_BUILD_ROOT%{prefix}" install
cd ..
find java -type d -exec install -d -m 0755 {} "$RPM_BUILD_ROOT%{prefix}/share/pstoedit/{}" \;
for javafile in `find java -type f | grep -v readme`; do
  install -c -m 0644 $javafile "$RPM_BUILD_ROOT%{prefix}/share/pstoedit/$javafile"
done
install -c -m 0644 misc/* "$RPM_BUILD_ROOT%{prefix}/share/pstoedit"
cp copying COPYING
cp readme.txt README
find java -name "readme_*" -exec cp {} . \;

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-, root, root)
%{prefix}/bin/pstoedit
%{prefix}/share/pstoedit
%{prefix}/man/man1/pstoedit.1
%doc README
%doc readme_*
%doc COPYING
%doc *.htm
%doc examples

%changelog
* Sun Jul 23 2000 Scott Pakin <pakin@uiuc.edu>
- Upgraded to pstoedit 3.20

* Wed Jan 19 2000 Scott Pakin <pakin@uiuc.edu>
- Initial version
